﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace MultiSurfaceChartApp
{
    
    public class DataPoint3D : ObservableModel
    { 
        public DataPoint3D()
        { 
        } 
        
        public DataPoint3D(double x, double y, double z)
        {
            this.X = x;
            this.Y = y;
            this.Z = z; 
        } 
        public double X
        {
            get { return x; }
            set { x = value; OnPropertyChanged("X"); }
        }
        private double x;

        public double Y
        {
            get { return y; }
            set { y = value; OnPropertyChanged("Y"); }
        }
        private double y;

        public double Z
        {
            get { return z; }
            set { z = value; OnPropertyChanged("Z"); }
        }
        private double z;

    }

    public class ObservableModel : INotifyPropertyChanged
    { 
        public event PropertyChangedEventHandler PropertyChanged;
        public void OnPropertyChanged(string name)
        {
            if (PropertyChanged != null)
                PropertyChanged(this, new PropertyChangedEventArgs(name));
        }
    }
}
